/*****************************************************************************

   This file is part of x2600, the Atari 2600 Emulator
   ===================================================
   
   Copyright 1996 Alex Hornby. For contributions see the file CREDITS.

   This software is distributed under the terms of the GNU General Public
   License. This is free software with ABSOLUTELY NO WARRANTY.
   
   See the file COPYING for details.
   
   $Id: extern.h,v 1.3 1996/04/01 14:51:50 alex Exp $

   Tweaked by Matthew Stroup for Amiga v2600, January 27, 1997.

******************************************************************************/

/* 
   Defines the external variables needed by most hardware access code.
   */

#ifndef VCSEXTERN_H
#define VCSEXTERN_H


#include "types.h"	/* for BYTE, ADDRESS, etc. types and structures */

extern int   clength[];

/* Processor registers */
extern UBYTE  accumulator;
extern UBYTE  x_register;
extern UBYTE  y_register;
extern UBYTE  stack_pointer;
extern UBYTE  status_register;
extern ADDRESS program_counter;
extern CLOCK clk;

/* Processor flags */
extern int   zero_flag;
extern int   sign_flag;
extern int   overflow_flag;
extern int   break_flag;
extern int   decimal_flag;
extern int   interrupt_flag;
extern int   carry_flag;

/* Debugging */
extern int   hexflg;
extern int   verflg;
extern int   traceflg;
extern int   debugflg;
extern int   runflg;

#endif
